//
//	File to be included by all project files
//
#ifndef _COMMON_H_
#define _COMMON_H_

#define DEBUG_PRINT
#define DEBUG_PRINT_D0D1

//	Include the specific CPU header file 
#include "MCF52233.h"

typedef unsigned char           UINT8;   /*  8 bits */
typedef unsigned short int      UINT16;  /* 16 bits */
typedef unsigned long int       UINT32;  /* 32 bits */

typedef signed char             INT8;    /*  8 bits */
typedef signed short int        INT16;   /* 16 bits */
typedef signed long int         INT32;   /* 32 bits */

typedef volatile uint8          VUINT8;  /*  8 bits */
typedef volatile uint16         VUINT16; /* 16 bits */
typedef volatile uint32         VUINT32; /* 32 bits */

//	Include any toolchain specfic header files 

extern UINT8 __IPSBAR[];
extern UINT8 __SRAM[];

//#define IPSBAR_ADDRESS			(UINT32)__IPSBAR
#define SRAM_ADDRESS			(UINT32)__SRAM

#define FEC_LEVEL							4
#define TIMER_NETWORK_LEVEL		3
#define SCI_NETWORK_LEVEL			2
#define IIC_LEVEL							1

#define	DisableInterrupts			asm{move.w #0x2700,sr}
#define	EnableInterrupts			asm{move.w #0x2000,sr}
#define	NULL									((void*)0)	

#endif
